import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const getDocumentStates = createAsyncThunk(
  "GET_DOCUMENT_STATES",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("bar-documents-status/", {
      params: d,
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);

export const submitDocumentStates = createAsyncThunk(
  "PROVINCE_SUBMIT_DOCUMENT_STATES",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.put("bar-documents-status/0/", d);
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
